# openPilotLog: Aircraft Class Reference

Aircraft Class Reference

The aircraft class. More...

`#include <aircraft.h>`

Inheritance diagram for Aircraft:

## Public Member Functions

| Aircraft (int tail_id)
| Aircraft (QMap< QString, QString > newData)
Public Member Functions inherited from Entry_deprecated
| Entry_deprecated (QString table, int row)
| Entry_deprecated (QString table, QMap< QString, QString > newData)
void | setData (QMap< QString, QString > &value)
bool | commit ()
bool | remove ()
bool | exists ()
void | print ()
QString | debug ()
| operator QString ()

## Additional Inherited Members

Public Attributes inherited from Entry_deprecated
QPair< QString, int > | position = QPair<QString, int>()
QVector< QString > | columns = QVector<QString>()
QMap< QString, QString > | data = QMap<QString, QString>()
QString | error = QString()

## Detailed Description

The aircraft class.

The documentation for this class was generated from the following files:

- src/classes/aircraft.h
- src/classes/aircraft.cpp